import sys
import os

#!/usr/bin/env python3

def main():
    # Control de parámetros.
    if len(sys.argv) != 5:
        ogRaiseError(os.getenv('OG_ERR_FORMAT', 1), "createImageCustom int_ndisc int_npart str_repo str_imgname")
    
    # Toma de parámetros.
    DISK = sys.argv[1]       # Nº de disco.
    PART = sys.argv[2]       # Nº de partición.
    REPO = sys.argv[3].upper()  # Repositorio (en mayúsculas).
    IMGNAME = sys.argv[4]    # Nombre canónico de imagen (sin extensión).

    # Paso 0: Añadir código para realizar control de errores de los parámetros de entrada (recomendado).

    # Paso 1: Añadir aquí el código para el proceso previo antes de la creación de la imagen en el equipo modelo (opcional).

    # Paso 2: Sustituir, si se desea, la llamada al proceso estándar de creación de imagen por código personalizado.
    createImage(DISK, PART, REPO, IMGNAME)

    # Paso 3: Añadir aquí el código para el proceso posterior tras la creación de la imagen (opcional).

if __name__ == "__main__":
    main()